Subject: bug#32929: `guix pull` fail

From: Michael Bowcutt <[email-masked]>
Date: Wed, 10 Oct 2018 16:15:57 -0400

Thanks, Ludo

On Wed, 2018-10-10 at 15:01 +0200, Ludovic Courtès wrote:
> Hi Michael,
> 
> Michael Bowcutt <[email-masked]> skribis:
> 
> > On Mon, 2018-10-08 at 22:47 +0200, Ludovic Courtès wrote:
> > > Thanks for your report.  I pulled v0.15.0 and from there tried to
> > > pull
> > > the above commit, but I couldn’t reproduce the bug above.
> > > 
> > > Does it still occur for you?
> > 
> > Yes, I'm still getting this error, although with different program
> > and
> > guix version hashes which frequently change.
> > 
> > > How did you install Guix?  It seems to be running on Guile 2.0
> > > (not
> > > 2.2), can you confirm?
> > 
> > I installed via the Fedora 28 COPR at 
> > https://copr.fedorainfracloud.org/coprs/lantw44/guix/. I'm 90% sure
> > I'm
> > running Guile 2.0, even though I have both 2.0 and 2.2 installed
> > via
> > dnf.
> 
> I see.  I believe commit 099bb0175f681e5f68dafb8ad973866f31fe515c
> fixes
> the problem.  With this commit, running ‘guix pull’ will always give
> you, under ~/.config/guix/current, a new Guix running on Guile 2.2.
> 
> Could you try running ‘guix pull’ and see if it works now?

I can confirm that I'm no longer running into this issue, `guix pull`
finished successfully!

> Besides, I’d like to drop Guile 2.0 support soon, so if you could
> tell
> the COPR packagers to switch to Guile 2.2, that’d be great.  :-)

I'll report that upstream. Thanks!

-Michael